org.eclipse.eef.properties.ui.legacy.internal.eef2legacy

## Class LegacyTabbedPropertySheetWidgetFactory

- java.lang.Object
- - org.eclipse.ui.forms.widgets.FormToolkit
  - - org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory
    - - org.eclipse.eef.properties.ui.legacy.internal.eef2legacy.LegacyTabbedPropertySheetWidgetFactory

    public class LegacyTabbedPropertySheetWidgetFactory
    extends org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory

Wraps an `EEFTabbedPropertySheetWidgetFactory` to a `TabbedPropertySheetWidgetFactory`.

### Field Summary

### Fields inherited from class org.eclipse.ui.forms.widgets.FormToolkit

`KEY_DRAW_BORDER, TEXT_BORDER, TREE_BORDER`

### Constructor Summary

Constructors
Constructor and Description
`LegacyTabbedPropertySheetWidgetFactory(EEFWidgetFactory eefWidgetFactory)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.custom.CCombo` `createCCombo(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.custom.CCombo` `createCCombo(org.eclipse.swt.widgets.Composite parent, int comboStyle)`
`org.eclipse.swt.custom.CLabel` `createCLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text)`
`org.eclipse.swt.custom.CLabel` `createCLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style)`
`org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int style)`
`org.eclipse.swt.widgets.Composite` `createFlatFormComposite(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Group` `createGroup(org.eclipse.swt.widgets.Composite parent, java.lang.String text)`
`org.eclipse.swt.widgets.List` `createList(org.eclipse.swt.widgets.Composite parent, int style)`
`org.eclipse.swt.widgets.Composite` `createPlainComposite(org.eclipse.swt.widgets.Composite parent, int style)`
`org.eclipse.swt.custom.ScrolledComposite` `createScrolledComposite(org.eclipse.swt.widgets.Composite parent, int style)`
`org.eclipse.swt.custom.CTabFolder` `createTabFolder(org.eclipse.swt.widgets.Composite parent, int style)`
`org.eclipse.swt.custom.CTabItem` `createTabItem(org.eclipse.swt.custom.CTabFolder tabFolder, int style)`
`void` `dispose()`

### Methods inherited from class org.eclipse.ui.forms.widgets.FormToolkit

`adapt, adapt, createButton, createCompositeSeparator, createExpandableComposite, createForm, createFormText, createHyperlink, createImageHyperlink, createLabel, createLabel, createPageBook, createScrolledForm, createSection, createSeparator, createTable, createText, createText, createTree, decorateFormHeading, ensureVisible, getBorderMargin, getBorderStyle, getColors, getHyperlinkGroup, getOrientation, paintBordersFor, refreshHyperlinkColors, setBackground, setBorderStyle, setControlVisible, setOrientation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyTabbedPropertySheetWidgetFactory

    public LegacyTabbedPropertySheetWidgetFactory(EEFWidgetFactory eefWidgetFactory)

The constructor.

Parameters:
  `eefWidgetFactory` - EEF tabbed property sheet page widget factory

### Method Detail

#### createTabFolder

    public org.eclipse.swt.custom.CTabFolder createTabFolder(org.eclipse.swt.widgets.Composite parent,
                                                             int style)

Overrides:
  `createTabFolder` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createTabFolder(Composite, int)`

#### createTabItem

    public org.eclipse.swt.custom.CTabItem createTabItem(org.eclipse.swt.custom.CTabFolder tabFolder,
                                                         int style)

Overrides:
  `createTabItem` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createTabItem(CTabFolder, int)`

#### createList

    public org.eclipse.swt.widgets.List createList(org.eclipse.swt.widgets.Composite parent,
                                                   int style)

Overrides:
  `createList` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createList(Composite, int)`

#### createComposite

    public org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                             int style)

Overrides:
  `createComposite` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createComposite(Composite, int)`

#### createComposite

    public org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createComposite` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createComposite(Composite)`

#### createPlainComposite

    public org.eclipse.swt.widgets.Composite createPlainComposite(org.eclipse.swt.widgets.Composite parent,
                                                                  int style)

Overrides:
  `createPlainComposite` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createPlainComposite(Composite, int)`

#### createScrolledComposite

    public org.eclipse.swt.custom.ScrolledComposite createScrolledComposite(org.eclipse.swt.widgets.Composite parent,
                                                                            int style)

Overrides:
  `createScrolledComposite` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createScrolledComposite(Composite, int)`

#### createCCombo

    public org.eclipse.swt.custom.CCombo createCCombo(org.eclipse.swt.widgets.Composite parent,
                                                      int comboStyle)

Overrides:
  `createCCombo` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createCCombo(Composite, int)`

#### createCCombo

    public org.eclipse.swt.custom.CCombo createCCombo(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createCCombo` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createCCombo(Composite)`

#### createGroup

    public org.eclipse.swt.widgets.Group createGroup(org.eclipse.swt.widgets.Composite parent,
                                                     java.lang.String text)

Overrides:
  `createGroup` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createGroup(Composite, String)`

#### createFlatFormComposite

    public org.eclipse.swt.widgets.Composite createFlatFormComposite(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createFlatFormComposite` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createFlatFormComposite(Composite)`

#### createCLabel

    public org.eclipse.swt.custom.CLabel createCLabel(org.eclipse.swt.widgets.Composite parent,
                                                      java.lang.String text)

Overrides:
  `createCLabel` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createCLabel(Composite, String)`

#### createCLabel

    public org.eclipse.swt.custom.CLabel createCLabel(org.eclipse.swt.widgets.Composite parent,
                                                      java.lang.String text,
                                                      int style)

Overrides:
  `createCLabel` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.createCLabel(Composite, String, int)`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory`
See Also:
  `TabbedPropertySheetWidgetFactory.dispose()`